Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

Update a form

PUT/forms/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired
Form ID or slug
Request body
requiredapplication/json
titlestring
slugstring
descriptionstring
formatstring
bodystring
visibleboolean
success_messagestring
has_address_fieldsboolean
Responses
200Form updated
_linksHalLinks
idinteger
shop_idinteger
titlestring
slugstring
bodystring
descriptionstring
visibleboolean
formatstring
has_address_fieldsboolean
success_messagestring
created_onstring<date-time>
updated_onstring<date-time>
Request
curl -X PUT "https://api.onbolder.com/v2/forms/string" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "string",
  "slug": "string",
  "description": "string",
  "format": "string",
  "body": "string",
  "visible": true,
  "success_message": "string",
  "has_address_fields": true
}'
Response
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "shop_id": 0,
  "title": "string",
  "slug": "string",
  "body": "string",
  "description": "string",
  "visible": true,
  "format": "string",
  "has_address_fields": true,
  "success_message": "string",
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z"
}